summaryrefslogtreecommitdiff
path: root/dev-ruby/typeprof
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/typeprof
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/typeprof')
-rw-r--r--dev-ruby/typeprof/Manifest3
-rw-r--r--dev-ruby/typeprof/metadata.xml9
-rw-r--r--dev-ruby/typeprof/typeprof-0.30.1-r1.ebuild35
-rw-r--r--dev-ruby/typeprof/typeprof-0.31.0.ebuild36
-rw-r--r--dev-ruby/typeprof/typeprof-0.31.1.ebuild36
5 files changed, 119 insertions, 0 deletions
diff --git a/dev-ruby/typeprof/Manifest b/dev-ruby/typeprof/Manifest
new file mode 100644
index 000000000000..997ee3b95c7b
--- /dev/null
+++ b/dev-ruby/typeprof/Manifest
@@ -0,0 +1,3 @@
+DIST typeprof-0.30.1.tar.gz 87960 BLAKE2B 5477e77ddd48dfee82940c5830ada699d8f074856fb2462850311ed7aa184e089c574cc2d33d50eb7c30a1bcf62c9cac6854c5aa4f7ef41ab3b6e4e4341943fe SHA512 5a3f15545bfae92ec82cf8ec4599df86324e4053ec61170fc740ed0bc8f25d6078cf73c37af003a4b5d2121ba98664863a0acc2975fc85e2a195068c545da7ee
+DIST typeprof-0.31.0.tar.gz 100788 BLAKE2B d347a77ed0e8e2658c148ca8e293d3639c4ef1d05bfc65422f642e710083c45ff42fe55082dd9ef0c16176545c6dc02dba7c8db619764ae46370fa3a8157eaad SHA512 e7b012a98d726454d23d6617bf156f4044922908eb4d2e968fd79aae08c8a1ae464d92ab738118f60237cd671eafff8dc07210220a63471d1998a0d3bc8b1502
+DIST typeprof-0.31.1.tar.gz 101682 BLAKE2B fe710061b4eea618ac111b411199fd7924c310599468264d520f9be224fddd08f4efc9f3836afddd81ef9a4a1a10881ecaf238c00faa91e5b6888f2efb3b90a6 SHA512 dd10cd5db6a236fc636469539508dd1bd808d8222a8ecaee5e16f2de187468e1ddc4f059b6c81fc158547674cb143530328c763dfefc1676b6d311a3d00ee91b
diff --git a/dev-ruby/typeprof/metadata.xml b/dev-ruby/typeprof/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/typeprof/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/typeprof/typeprof-0.30.1-r1.ebuild b/dev-ruby/typeprof/typeprof-0.30.1-r1.ebuild
new file mode 100644
index 000000000000..91c52348a16f
--- /dev/null
+++ b/dev-ruby/typeprof/typeprof-0.30.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="sig"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="typeprof.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Performs a type analysis of non-annotated Ruby code"
+HOMEPAGE="https://github.com/ruby/typeprof"
+SRC_URI="https://github.com/ruby/typeprof/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend "
+ dev-ruby/prism
+ >=dev-ruby/rbs-3.6.0
+"
+
+all_ruby_prepare() {
+ sed -e "s:_relative ': './:" \
+ -e 's/git ls-files -z/find * -print0/' \
+ -e '/ruby_version/ s/3.3/3.2/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/typeprof/typeprof-0.31.0.ebuild b/dev-ruby/typeprof/typeprof-0.31.0.ebuild
new file mode 100644
index 000000000000..5baffd83ee23
--- /dev/null
+++ b/dev-ruby/typeprof/typeprof-0.31.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="sig"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="typeprof.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Performs a type analysis of non-annotated Ruby code"
+HOMEPAGE="https://github.com/ruby/typeprof"
+SRC_URI="https://github.com/ruby/typeprof/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend "
+ >=dev-ruby/prism-1.4.0
+ >=dev-ruby/rbs-3.6.0
+"
+
+all_ruby_prepare() {
+ sed -e "s:_relative ': './:" \
+ -e 's/git ls-files -z/find * -print0/' \
+ -e '/ruby_version/ s/3.3/3.2/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/typeprof/typeprof-0.31.1.ebuild b/dev-ruby/typeprof/typeprof-0.31.1.ebuild
new file mode 100644
index 000000000000..68308ac6dd90
--- /dev/null
+++ b/dev-ruby/typeprof/typeprof-0.31.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="sig"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="typeprof.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Performs a type analysis of non-annotated Ruby code"
+HOMEPAGE="https://github.com/ruby/typeprof"
+SRC_URI="https://github.com/ruby/typeprof/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend "
+ >=dev-ruby/prism-1.4.0
+ >=dev-ruby/rbs-3.6.0
+"
+
+all_ruby_prepare() {
+ sed -e "s:_relative ': './:" \
+ -e 's/git ls-files -z/find * -print0/' \
+ -e '/ruby_version/ s/3.3/3.2/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}